org.apache.sling.maven.projectsupport.bundlelist

## Class BaseStartLevel

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseStartLevel

Direct Known Subclasses:
  StartLevel

    public abstract class BaseStartLevel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BaseStartLevel()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `containsBundle(Bundle bundle, boolean compareVersions)`
`Bundle` `getBundle(Bundle bundle, boolean compareVersions)`
`abstract List<Bundle>` `getBundles()`
`String` `getLevel()`
`int` `getStartLevel()`
`boolean` `removeBundle(Bundle bundle, boolean compareVersions)`
`void` `setLevel(String level)` Set the level field.
`void` `setRawLevel(int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseStartLevel

    public BaseStartLevel()

### Method Detail

#### getBundles

    public abstract List<Bundle> getBundles()

#### removeBundle

    public boolean removeBundle(Bundle bundle,
                                boolean compareVersions)

#### containsBundle

    public boolean containsBundle(Bundle bundle,
                                  boolean compareVersions)

#### getBundle

    public Bundle getBundle(Bundle bundle,
                            boolean compareVersions)

#### setLevel

    public void setLevel(String level)

Set the level field.

Parameters:
  `level` -

#### setRawLevel

    public void setRawLevel(int level)

#### getLevel

    public String getLevel()

#### getStartLevel

    public int getStartLevel()